Main Page Class List Class Members

# Nv::Blast::FbxFileWriter Class Reference

`#include <NvBlastExtExporterFbxWriter.h>`

Inheritance diagram for Nv::Blast::FbxFileWriter:

List of all members.

## Public Member Functions
virtual bool | appendMesh (const ExporterMeshData &meshData, const char *assetName, bool nonSkinned) override
virtual bool | appendMesh (const AuthoringResult &aResult, const char *assetName, bool nonSkinned) override
| FbxFileWriter ()
fbxsdk::FbxScene * | getScene ()
virtual void | release () override
virtual bool | saveToFile (const char *assetName, const char *outputPath) override
virtual void | setInteriorIndex (int32_t index) override
## Public Attributes
bool | bOutputFBXAscii

## Constructor & Destructor Documentation

Nv::Blast::FbxFileWriter::FbxFileWriter | ( |  | ) |

Initialize FBX sdk and create scene.

## Member Function Documentation

virtual bool Nv::Blast::FbxFileWriter::appendMesh | ( | const ExporterMeshData & | meshData,
|  | const char * | assetName,
|  | bool | nonSkinned |
| ) |  |  | `[override, virtual]`

Append rendermesh to scene. Meshes constructed from arrays of vertex data (position, normal, uvs) and indices. Position, normal and uv has separate index arrays.

Implements Nv::Blast::IMeshFileWriter.

virtual bool Nv::Blast::FbxFileWriter::appendMesh | ( | const AuthoringResult & | aResult,
|  | const char * | assetName,
|  | bool | nonSkinned |
| ) |  |  | `[override, virtual]`

Append rendermesh to scene. Meshes constructed from arrays of triangles.

Implements Nv::Blast::IMeshFileWriter.

fbxsdk::FbxScene* Nv::Blast::FbxFileWriter::getScene | ( |  | ) |

Get current scene;

virtual void Nv::Blast::FbxFileWriter::release | ( |  | ) | `[override, virtual]`

Delete this object

Implements Nv::Blast::IMeshFileWriter.

virtual bool Nv::Blast::FbxFileWriter::saveToFile | ( | const char * | assetName,
|  | const char * | outputPath |
| ) |  |  | `[override, virtual]`

Save scene to file.

Implements Nv::Blast::IMeshFileWriter.

virtual void Nv::Blast::FbxFileWriter::setInteriorIndex | ( | int32_t | index | ) | `[override, virtual]`

Set interior material index.

Implements Nv::Blast::IMeshFileWriter.

## Member Data Documentation

bool Nv::Blast::FbxFileWriter::bOutputFBXAscii

Set true if FBX should be saved in ASCII mode.

The documentation for this class was generated from the following file:

- sdk/extensions/exporter/source/NvBlastExtExporterFbxWriter.h